/*
 *    Copyright 2012 The MyBatis Team
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package org.mybatis.caches.memcached;

import java.util.concurrent.TimeUnit;

/**
 * Setter from String to TimeUnit representation.
 *
 * @version $Id: TimeUnitSetter.java 5217 2012-04-23 19:59:07Z simonetripodi $
 */
final class TimeUnitSetter extends AbstractPropertySetter<TimeUnit> {

    /**
     * Instantiates a String to TimeUnit setter.
     */
    public TimeUnitSetter() {
        super("org.mybatis.caches.memcached.timeoutunit",
                "timeUnit",
                TimeUnit.SECONDS);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected TimeUnit convert(String property) throws Throwable {
        return TimeUnit.valueOf(property.toUpperCase());
    }

}
